Skip to main content
`Ctrl`+`K`

# PCCompositeSpecialSetAlpha

Sets alpha for the special composite preconditioner, `PC_COMPOSITE_SPECIAL`, for \(\alpha I + R + S\)

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCCompositeSpecialSetAlpha(PC pc, PetscScalar alpha)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- alpha - scale on identity

## See Also

KSP: Linear System Solvers, `PCCOMPOSITE`, `PC_COMPOSITE_ADDITIVE`, `PC_COMPOSITE_MULTIPLICATIVE`, `PC_COMPOSITE_SPECIAL`, `PCCompositeType`, `PCCompositeSetType()`, `PCCompositeGetType()`

## Level

developer

## Location

src/ksp/pc/impls/composite/composite.c

## Implementations

PCCompositeSpecialSetAlpha_Composite() in src/ksp/pc/impls/composite/composite.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages